#!/usr/bin/sh

ZIP_PATH=`pwd`/Data.zip
if [ ! -f ${ZIP_PATH} ]
then
   {
      echo "Please run install.sh from the directory where you downloaded the fixpack to. "
      echo "Current directory is " `pwd`
      exit 1
   }
fi


if [ "$#" != "1" ]
then
   {
      while :
      do
      {
         echo "Please enter the product root directory"
         read WAS
       if [ "${WAS}" = "" ]
       then
         continue
       fi
      
       if [ ! -d ${WAS} ]
       then
         {
            echo
            echo "SORRY! That appears to be invalid directory on this system"
            echo "Please re-enter the information"
            echo 
            continue
         }
       fi

       break
      }
      done
   }
else
  {
   WAS=$1
  }
fi

if [ "${JAVA_HOME}" != "" ]
 then
    {
     echo "JAVA_HOME is set as $JAVA_HOME"
    }
   else
   {
     while :
     do
     {
      echo "Please enter your JAVA_HOME path: "
      read JAVA_HOME
      if [ "${JAVA_HOME}" = "" ]
      then
        continue
      fi
      
      if [ ! -f $JAVA_HOME/bin/java ]
      then
        {
           echo
           echo "SORRY! That appears to be invalid directory on this system"
           echo "Please re-enter the information"
           echo 
           continue
        }
      fi
      continue
     }
    done
   }
  fi


CLASSPATH=`pwd`/fixpack.jar:`pwd`/install.jar:$JAVA_HOME/lib/classes.zip:.:$CLASSPATH
export CLASSPATH
PATH=$PATH:$JAVA_HOME/bin
export PATH

java -classpath $CLASSPATH Fixpack -install -b ${WAS} -f ${ZIP_PATH}


